C*************************************************************************
C COPYRIGHT (C) 1999 - 2002  EDF R&D
C THIS LIBRARY IS FREE SOFTWARE; YOU CAN REDISTRIBUTE IT AND/OR MODIFY
C IT UNDER THE TERMS OF THE GNU LESSER GENERAL PUBLIC LICENSE 
C AS PUBLISHED BY THE FREE SOFTWARE FOUNDATION; 
C EITHER VERSION 2.1 OF THE LICENSE, OR (AT YOUR OPTION) ANY LATER VERSION.
C
C THIS LIBRARY IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT
C WITHOUT ANY WARRANTY; WITHOUT EVEN THE IMPLIED WARRANTY OF
C MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. SEE THE GNU
C LESSER GENERAL PUBLIC LICENSE FOR MORE DETAILS.
C
C YOU SHOULD HAVE RECEIVED A COPY OF THE GNU LESSER GENERAL PUBLIC LICENSE
C ALONG WITH THIS LIBRARY; IF NOT, WRITE TO THE FREE SOFTWARE FOUNDATION,
C INC., 59 TEMPLE PLACE, SUITE 330, BOSTON, MA 02111-1307 USA
C
C**************************************************************************

      subroutine efchac(fid,cha,type,comp,unit,ncomp,cret)
c
      implicit none
      save
c      
      character *(*) cha,comp,unit
      integer fid, ncomp, cret, type
      integer edfchac
c
      cret = edfchac (fid, cha,len(cha),type, comp,8*ncomp,
     1     unit, 8*ncomp, ncomp)
c      
      return
      end
c
c
c
      subroutine efchae(fid,maa,cha,val,interlace,n,ngauss,numco,
     1                  profil,mode,typent,typgeo,numdt,dtunit,
     1                  dt,numo,cret)
c
      implicit none
      save
c      
      character *(*) cha,maa,profil
      character*8 dtunit
      integer fid,val(*)
      integer n,mode,typent,typgeo,cret
      integer interlace,ngauss,numco,numdt,numo
      real*8 dt
      integer edfchae
c
      cret = edfchae(fid,maa,len(maa),cha,len(cha),val,
     1     interlace,n,ngauss,numco,profil,len(profil),
     1     mode,typent,typgeo,numdt,dtunit,len(dtunit),
     1     dt,numo)
c      
      return
      end
c
c     Ecriture des champs en differenciant ENTIERS et REELS
c
      subroutine efchie(fid,maa,cha,val,interlace,n,ngauss,numco,
     1                  profil,mode,typent,typgeo,numdt,dtunit,
     1                  dt,numo,cret)
c
      implicit none
      save
c      
      character *(*) cha,maa,profil
      character*8 dtunit
      integer fid,val(*),n,mode,typent,typgeo,cret
      integer interlace,ngauss,numco,numdt,numo
      real*8 dt
      integer edfchae
c
      cret = edfchae(fid,maa,len(maa),cha,len(cha),val,
     1     interlace,n,ngauss,numco,profil,len(profil),
     1     mode,typent,typgeo,numdt,dtunit,len(dtunit),
     1     dt,numo)
c      
      return
      end
c
c    
c     
      subroutine efchre(fid,maa,cha,val,interlace,n,ngauss,numco,
     1                  profil,mode,typent,typgeo,numdt,dtunit,
     1                  dt,numo,cret)
c
      implicit none
      save
c      
      character *(*) cha,maa,profil
      character*8 dtunit
      integer fid,n,mode,typent,typgeo,cret
      integer interlace,ngauss,numco,numdt,numo
      real*8 dt
      real val(*)
      integer edfchae
c
      cret = edfchae(fid,maa,len(maa),cha,len(cha),val,
     1     interlace,n,ngauss,numco,profil,len(profil),
     1     mode,typent,typgeo,numdt,dtunit,len(dtunit),
     1     dt,numo)
c      
      return
      end
c
c
c
      subroutine efchal(fid,maa,cha,val,
     1                  interlace,numco,profil,
     1                  typent,typgeo,
     1                  numdt, numo,cret)
c
      implicit none
      save
c      
      character *(*) cha,maa,profil
      integer fid,val(*),n,typent,typgeo,cret
      integer interlace,numco,numdt,numo
      integer edfchal
c
      cret = edfchal(fid,maa,len(maa),cha,len(cha),val,
     1     interlace,numco,profil,
     1     typent,typgeo,numdt,numo)
c      
      return
      end
c      
c
c     Lecture des champs en distinguant les reels et les entiers
c     
      subroutine efchil(fid,maa,cha,val,
     1                  interlace,numco,profil,
     1                  typent,typgeo,
     1                  numdt, numo,cret)
c
      implicit none
      save
c      
      character *(*) cha,maa,profil
      integer fid,val(*),n,typent,typgeo,cret
      integer interlace,numco,numdt,numo
      integer edfchal
c
      cret = edfchal(fid,maa,len(maa),cha,len(cha),val,
     1     interlace,numco,profil,
     1     typent,typgeo,numdt,numo)
c      
      return
      end
c
c
c
      subroutine efchrl(fid,maa,cha,val,
     1                  interlace,numco,profil,
     1                  typent,typgeo,
     1                  numdt, numo,cret)
c
      implicit none
      save
c      
      character *(*) cha,maa,profil
      integer fid,n,typent,typgeo,cret
      integer interlace,numco,numdt,numo
      integer edfchal
      real val(*)
c
      cret = edfchal(fid,maa,len(maa),cha,len(cha),val,
     1     interlace,numco,profil,
     1     typent,typgeo,numdt,numo)
c      
      return
      end
c
c
c
      subroutine efchai(fid,ind,cha,type,comp,unit,ncomp,cret)
c
      implicit none
      save
c      
      character *(*) cha,comp,unit
      integer fid,ind,type,ncomp,cret
      integer edfchai
c
      cret = edfchai(fid,ind,cha,type,
     1     comp,unit,ncomp)
c      
      return
      end
c
      subroutine efncha(fid,ind,n,cret)
c
      implicit none
      save
c      
      integer fid,ind,cret,n
      integer edfncha
c
      n = edfncha(fid,ind)
      if (n.lt.0) then
         cret = -1
      else
         cret = 0
      endif
c
      return
      end
c
      subroutine efnval(fid,cha,typent,typgeo,numdt,numo,n,cret)
c
      implicit none
      save
c      
      integer fid,typent,typgeo,n,cret
      integer numdt, numo
      character *(*) cha
      integer edfnval
c
      n = edfnval(fid,cha,len(cha),typent,typgeo,
     1            numdt,numo)
      if (n.lt.0) then
         cret = -1
      else
         cret = 0
      endif
c
      return
      end
c

C Nouvelles routines pour MED V2.1

      subroutine efpfle(fid,pflval,n,nom,cret)
c
      implicit none
      save
c      
      integer fid,n,cret
      integer pflval(*)
      character *(*) nom
      integer edfpfle
c
      cret = edfpfle(fid,pflval,n,nom,len(nom))
c
      return
      end
c
      

      subroutine efnpfl(fid,nom,n,cret)
c
      implicit none
      save
c      
      integer fid,cret,n
      character *(*) nom
      integer edfnpfl
c
      n = edfnpfl(fid,nom,len(nom))
c
      if (n.lt.0) then
         cret = -1
      else
         cret = 0
      endif
c
      return
      end
c

      subroutine efpfll(fid,pflval,nom,cret)
c
      implicit none
      save
c      
      integer fid,cret
      integer pflval(*)
      character *(*) nom
      integer edfpfll
c
      cret = edfpfll(fid,pflval,nom,len(nom))
c
      return
      end
c

      subroutine efnpdt(fid,cha,type,geo,n,cret)
c
      implicit none
      save
c      
      integer fid,type,geo,n,cret
      character*32 cha
      integer edfnpdt
c
      n = edfnpdt(fid,cha,len(cha),type,geo)
c
      if (n.lt.0) then
         cret = -1
      else
         cret = 0
      endif
c
      return
      end
c

      subroutine efpdti(fid,cha,type,geo,indice,maa,ngauss,
     1                  numdt,dtunit,dt,numo,cret)
c
      implicit none
      save
c      
      integer fid,type,geo,indice,ngauss,numdt,numo,cret
      character*32 cha,maa
      character*8 dtunit
      real*8 dt
      integer edfpdti
c
      cret = edfpdti(fid,cha,len(cha),type,geo,indice,
     1               maa,ngauss,numdt,dtunit,dt,numo)
c
      return
      end
c
