C*************************************************************************
C COPYRIGHT (C) 1999 - 2002  EDF R&D
C THIS LIBRARY IS FREE SOFTWARE; YOU CAN REDISTRIBUTE IT AND/OR MODIFY
C IT UNDER THE TERMS OF THE GNU LESSER GENERAL PUBLIC LICENSE 
C AS PUBLISHED BY THE FREE SOFTWARE FOUNDATION; 
C EITHER VERSION 2.1 OF THE LICENSE, OR (AT YOUR OPTION) ANY LATER VERSION.
C
C THIS LIBRARY IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT
C WITHOUT ANY WARRANTY; WITHOUT EVEN THE IMPLIED WARRANTY OF
C MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. SEE THE GNU
C LESSER GENERAL PUBLIC LICENSE FOR MORE DETAILS.
C
C YOU SHOULD HAVE RECEIVED A COPY OF THE GNU LESSER GENERAL PUBLIC LICENSE
C ALONG WITH THIS LIBRARY; IF NOT, WRITE TO THE FREE SOFTWARE FOUNDATION,
C INC., 59 TEMPLE PLACE, SUITE 330, BOSTON, MA 02111-1307 USA
C
C**************************************************************************

      subroutine efcone (fid, maa, mdim,conn, switch, n, mode, 
     1typent,typgeo,typcon,cret)
c
      implicit none
      save
c
      character *(*) maa
      integer fid, conn(*),mode,typent,typgeo,typcon,cret
      integer edfcone,n,mdim, switch
c
      cret = edfcone (fid, maa ,len(maa),mdim,conn,switch,n,mode, 
     1typent,typgeo,typcon)
c      
      return
      end
c
c
      subroutine efconl(fid, maa, mdim,conn,switch,
     1                  pfltab,psize,
     1                  typent,typgeo,typcon,cret)
c
      implicit none
      save
c
      character *(*) maa
      integer mdim
      integer fid, conn(*),typent,typgeo,typcon,cret
      integer pfltab(*), psize
      integer edfconl,n,switch
c
      cret = edfconl (fid, maa ,len(maa),mdim,conn,switch,
     1                pfltab,psize, 
     1                typent,typgeo,typcon)
c      
      return
      end
c
      subroutine efcooe(fid, maa, mdim, coo, modcoo,
     &                  n,mode, typrep, 
     &                  nom,unit,cret)
c
      implicit none
      save
c
      character *(*) maa
      real*8 coo(*)
      integer fid,mode,typrep,mdim
      integer edfcooe,n,cret,modcoo
      character *(*) nom, unit
c
c      
         cret = edfcooe (fid, maa ,len(maa),mdim,coo,modcoo,
     &                   n,mode,
     &                   typrep,nom, 8*mdim, unit, 8*mdim )
c 
      return
      end
c
      subroutine efcool(fid, maa, mdim,coo,modcoo,
     1                  numco,pfltab,psize, 
     1                  typrep,nom,unit,cret)
c
      implicit none
      save
c
      character *(*) maa
      real*8 coo(*)
      integer mdim
      integer fid,typrep,n,cret,modcoo
      integer pfltab(*),psize, numco
      integer edfcool
      character *(*) nom, unit
c
      cret = edfcool (fid, maa ,len(maa),mdim,coo,modcoo,
     1                numco,pfltab,psize,
     1                typrep,nom, unit)
c      
      return
      end
c
      subroutine efnome(fid, maa, nom, n, mode, 
     1typent, typgeo,cret)
c
      implicit none
      save
c
      character *(*) maa
      character*(*) nom
      integer fid,typent, typgeo,cret
      integer edfnome, mode,n
c
      cret = edfnome (fid, maa ,len(maa),nom, 8*n, n,
     1mode, typent, typgeo)
c      
      return
      end
c
      subroutine efnoml(fid, maa, nom, n,  
     1typent, typgeo,cret)
c
      implicit none
      save
c
      character *(*) maa
      character*(*) nom
      integer fid,typent, typgeo,cret
      integer edfnoml,n
c
      cret = edfnoml (fid, maa ,len(maa),nom,n,
     1typent, typgeo)
c      
      return
      end
c
      subroutine efnume(fid, maa, num, n, mode, 
     1typent, typgeo,cret)
c
      implicit none
      save
c
      character *(*) maa
      integer num(*)
      integer fid,typent, typgeo,cret
      integer edfnume, mode,n
c
      cret = edfnume (fid, maa ,len(maa),num, n,
     1mode, typent, typgeo)
c      
      return
      end
c

      subroutine efnuml(fid, maa, num, n, 
     1typent, typgeo,cret)
c
      implicit none
      save
c
      character *(*) maa
      integer num(*)
      integer fid,typent, typgeo,cret
      integer edfnuml,n
c
      cret = edfnuml (fid, maa ,len(maa),num, n,
     1typent, typgeo)
c      
      return
      end
c
      subroutine efnema(fid, maa, quoi,  
     1typent, typgeo,typcon,n,cret)
c
      implicit none
      save
c
      character *(*) maa
      integer fid,typent, typgeo,cret,typcon,n,quoi
      integer edfnema
c
      n = edfnema(fid, maa ,len(maa),quoi, 
     1typent, typgeo,typcon)

      if (n.lt.0) then
         cret = -1
      else
         cret =0
      endif
c      
      return
      end
c



