C*************************************************************************
C COPYRIGHT (C) 1999 - 2002  EDF R&D
C THIS LIBRARY IS FREE SOFTWARE; YOU CAN REDISTRIBUTE IT AND/OR MODIFY
C IT UNDER THE TERMS OF THE GNU LESSER GENERAL PUBLIC LICENSE 
C AS PUBLISHED BY THE FREE SOFTWARE FOUNDATION; 
C EITHER VERSION 2.1 OF THE LICENSE, OR (AT YOUR OPTION) ANY LATER VERSION.
C
C THIS LIBRARY IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT
C WITHOUT ANY WARRANTY; WITHOUT EVEN THE IMPLIED WARRANTY OF
C MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. SEE THE GNU
C LESSER GENERAL PUBLIC LICENSE FOR MORE DETAILS.
C
C YOU SHOULD HAVE RECEIVED A COPY OF THE GNU LESSER GENERAL PUBLIC LICENSE
C ALONG WITH THIS LIBRARY; IF NOT, WRITE TO THE FREE SOFTWARE FOUNDATION,
C INC., 59 TEMPLE PLACE, SUITE 330, BOSTON, MA 02111-1307 USA
C
C**************************************************************************

      subroutine efmaac ( fid , nom , dim , cret )
c
      implicit none
      save
c
      character *(*) nom
      integer fid, dim, cret
      integer edfmaac
c
      cret = edfmaac (fid, nom , len(nom), dim)
c      
      return
      end
c
c
      subroutine efnmaa( fid , n , cret)
c
      implicit none
      save
c
      integer fid, n, cret
      integer edfnmaa
c
      n = edfnmaa(fid)

      if (n.lt.0) then
         cret = -1
      else
         cret = 0
      endif
c
      return
      end
c
c
c
      subroutine efmaai( fid , indice , maa , dim , cret)
c
      implicit none
      save
c
      integer fid,dim,cret,indice
      character *(*) maa
      integer edfmaai
c
      maa = ' ' 
c
      cret = edfmaai (fid,indice,maa,dim)
c     
      return
      end
c
      subroutine efdiml( fid , maa, dim, cret)
c
      implicit none
      save
c
      integer fid,dim,cret
      character *(*) maa
      integer edfdiml
c
      dim = edfdiml (fid,maa,len(maa))
c     
      if (dim.lt.0) then
         cret = -1
      else
         cret = 0
      endif
      return
      end
c
c
      subroutine efnnsl (fid,maa,n,cret)
c
      implicit none
      save
c
      integer fid,n,cret
      character*(*) maa
      integer edfnnsl
c
      n = edfnnsl(fid,maa,len(maa))
c
      if (n .lt. 0) then
         cret = -1
      else
         cret = 0
      endif
c
      end
c
c
      subroutine efnnse (fid,maa,n,cret)
c
      implicit none
      save
c
      integer fid,n,cret
      character*(*) maa
      integer edfnnse
c
      cret = edfnnse(fid,maa,len(maa),n)
c
      end
c
c
      subroutine efnnil (fid,maa,n,cret)
c
      implicit none
      save
c
      integer fid,n,cret
      character*(*) maa
      integer edfnnil
c
      n = edfnnil(fid,maa,len(maa))
c
      if (n .lt. 0) then
         cret = -1
      else
         cret = 0
      endif
c
      end
c
c
      subroutine efnnie (fid,maa,n,cret)
c
      implicit none
      save
c
      integer fid,n,cret
      character*(*) maa
      integer edfnnie
c
      cret = edfnnie(fid,maa,len(maa),n)
c
      end
c
c
      subroutine efnnml (fid,maa,n,cret)
c
      implicit none
      save
c
      integer fid,n,cret
      character*(*) maa
      integer edfnnml
c
      n = edfnnml(fid,maa,len(maa))
c
      if (n .lt. 0) then
         cret = -1
      else
         cret = 0
      endif
c
      end
c
c
      subroutine efnnme (fid,maa,n,cret)
c
      implicit none
      save
c
      integer fid,n,cret
      character*(*) maa
      integer edfnnme
c
      cret = edfnnme(fid,maa,len(maa),n)
c
      end


      subroutine efunvc ( fid , nom , cret )
c
      implicit none
      save
c
      character *(*) nom
      integer fid, cret
      integer edfunvc
c
      cret = edfunvc (fid, nom , len(nom))
c
      return
      end

      subroutine efunvl( fid , nom , nomu , cret)
c
      implicit none
      save
c
      integer fid,cret
      character *(*) nom,nomu
      integer edfunvl
c  
      cret = edfunvl (fid,nom,len(nom),nomu,len(nomu))
c
      return
      end

